#!/bin/sh
#echo $0
LASTCALL=""
#MSN=";[123456|123457];"
MSN=";"
CALL_DB="/root/caller.db"
CALL_LOG="/root/fritz.log"


if [ "$(pidof nc6)" = "" ] ; then
   nohup nc6 fritz.box 1012 | $0 2>&1 >/dev/null &
else
   while [ "$(pidof nc6)" != "" ] ; do
      read LINE
      INCOMING=$(echo "$LINE" | grep ";RING;" | grep $MSN)
      CALLER=""
      if [ "$INCOMING" != "" ] &&  [ "$INCOMING" != "$LASTCALL" ] ; then
         LASTCALL=$INCOMING
         NUMBER=$(echo "$INCOMING" | cut -f 4 -d ";")
         CALLER=$(grep "^$NUMBER " $CALL_DB | cut -f 2- -d " ")
         CMSN=$(echo "$INCOMING" | cut -f 5 -d ";")
         if [ "$CALLER" = "" ] ; then
            sed -i $CALL_DB -e "/$NUMBER .*/d"
            svdrpsend.pl "MESG $NUMBER -> $CMSN"
            wget -O - "http://www2.dasoertliche.de/?id=3339GS10886550222242399&la=de&form_name=detail&lastFormName=search_inv&ph=$NUMBER&recFrom=1&hitno=99&kgs=11000000&zvo_ok=1&page=TREFFERLISTE&context=TREFFERLISTE&action=TEILNEHMER&orderby=name&ttforderby=rel&la=de&detvert_ok=1" >/tmp/tst.out
            CALLNAME=$(grep "detail_top" /tmp/tst.out | cut -f 2 -d ">" | sed -e "s/<\/a>/, /" -e "s/<.*//" -e "s/[ ]*$//g")
            if [ "$CALLNAME" != "" ] ; then
               ADDRESS=$(grep -A 10 "adresse start" /tmp/tst.out |grep "<div>"| cut -f 2,3 -d ">"| sed -e "s/<.*>/, /" |sed -e "s/<.*//")
               CALLER="$CALLNAME, $ADDRESS"
               echo "$NUMBER $CALLER" >> $CALL_DB
            fi
         fi
         logger -s "Caller: $NUMBER $CALLER"
         if [ "$CALLER" != "" ]; then
            svdrpsend.pl "MESG $NUMBER $CALLER"
         fi	
      fi
      if [ "$CALL_LOG" != "" ] ; then
         echo "$LINE;  $CALLER" >> $CALL_LOG
      fi
      sleep 1
   done
fi




